@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;500;600;700&display=swap');

:root{
    --color-body: #b6cbce;
    --color-heading: #eef3db;
    --color-base: #1e3358;
    --color-base2: #172236;
    --color-brand: #00f3ff;
    --color-brand2: #5cf5fd;
    --sidbar-width: 240px;
    --font-base: "Bai jamjuree";
}

body{
    background-color: var(--color-base2);
    color: var(--color-body);
    font-family: var(--font-base), sans-serif;
}

h1,h2,h3,h4,h5,h6{
    color: var(--color-heading);
    font-weight: 700;
}

a {
    text-decoration: none;
    color: var(--color-body);
    transition: all 0.4s ease;
}

a:hover{
    color: var(--color-brand);
}

img{
    width: 100%;
}

.text-brand{
    color: var(--color-brand);
}

.bg-base{
    background-color: var(--color-base);
}

.full-height{
    min-height: 100vh;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 80px;
    padding-bottom: 80px;
    border-bottom: 2px solid rgba(255, 255, 255, 0.1);
}

.shadow-effect{
    transition: all 0.5s;
}

.shadow-effect:hover{
    box-shadow: -6px 6px 0 0 var(--color-brand);
}

.iconbox{
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    background-color: var(--color-brand);
    color: var(--color-base);
}

/* Navbar */
.navbar{
    background-color: var(--color-base);
}

.navbar .nav-link{
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
}

.navbar .nav-link:hover{
    color: var(--color-brand);
}

.navbar .nav-link.active{
    color: var(--color-brand);
}

@media (max-width: 993px) { 
    .navbar{
        display:none;
    }
}

@media (min-width: 992px){
    .navbar{
        min-height: 100vh;
        width: var(--sidbar-width);
        background: linear-gradient(rgba(30, 51, 88, .9), rgba(30, 51, 88, .9)), url(../images/1.jpg);
        background-size: cover;
        background-position: center;
    }
    .navbar-brand img{
        border: 5px solid var(--color-brand);
    }
    
    .footermenu{
        display: none;
    }

    /* Content */
    #content-wrapper{
        padding-left: var(--sidbar-width) ;
    }
}

/* Button */
.btn{
    padding: 12px 28px;
    font-weight: 700;
}

.btn-brand{
    background-color: var(--color-brand);
    border-color: var(--color-brand);
    color: var(--color-base);
}

.btn-brand:hover,
.btn-brand:focus{
    background-color: var(--color-brand2);
    color: var(--color-base);
    border-color: var(--color-brand2);
}

.link-custom{
    font-weight: 700;
    position: relative;
}

.link-custom::after{
    content: "";
    width: 0%;
    height: 2px;
    background-color: var(--color-brand);
    position: absolute;
    left: 0;
    top: 110%;
    transition: all 0.4s;
}

.link-custom:hover::after{
    width: 100%;
}

@media (min-width: 500px) { 
    .spacing{
        display: none;
    }
}

@media(max-width: 499px){
    .space{
        display: none;
    }
}

/* Card */
.card-custom .card-custom-image{
    overflow: hidden;
}

.card-custom .card-custom-image img{
    transition: all 0.4s ease;
}

.card-custom:hover .card-custom-image img{
    transform: scale(1.1);
}

.languageicon{
    width: 20px;
    height: 20px;
}

/* Contact */
#contact .form-control{
    background-color: var(--color-base);
    border-color: var(--color-base);
    color: var(--color-body);
}

#contact .form-control:focus{
    border-color: var(--color-brand);
    box-shadow: none;
}

#contact .form-control::placeholder{
    color: var(--color-body);
}

#contact input.form-control{
    height: 44px;
}

.footermenu{
	width: 100%;
	height: auto;
	margin: auto;
    margin-bottom: 15px;
}

.footermenu ul{
	margin: 0px;
	padding: 0px;
	text-align: center;
}

.footermenu ul li{
	display: inline-block;
	margin: 0px 15px;
}

.footermenu ul li a{
	font-size: 15px;
	font-weight: 600;
	color: #fff;
	letter-spacing: 1px;
}

.footermenu ul li a:hover{
	color: var(--color-brand);
}

/* Social Icons */
.social-links a{
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-base);
    border-radius: 100px;
    font-size: 24px;
}